import PickNodeSteps from "@queenjs-modules/queentree-explorer/components/PickNodeSteps";
import { StepController } from "@queenjs-modules/queentree-explorer/components/PickNodeSteps/StepController";
import { useModal } from "queenjs";
import { defineComponent } from "vue";

export default defineComponent({
  setup() {
    const modal = useModal();
    const stepCtrol = new StepController(1);

    return () => {
      return (
        <PickNodeSteps
          control={stepCtrol}
          onCancel={() => modal.cancel()}
          onSubmit={(data) => modal.submit(data)}
          lastStepText="确定"
          steps={[
            {
              title: "选择资产",
              content: () => (
                <PickNodeSteps.PickNodeStep options={{ nodeTypes: ["pack"] }} />
              ),
            },
          ]}
        />
      );
    };
  },
});
